Last Comment Bug 820183 - BrowserID extension should allow custom configuration of browserid hostnames to use for verification
: BrowserID extension should allow custom configuration of browserid hostnames ...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Persona (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks: 820446 851322
  Show dependency treegraph
 
Reported: 2012-12-10 16:13 PST by Austin King [:ozten]
Modified: 2013-03-14 15:59 PDT (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to allow host configuration for BrowserID extension (v1) (5.29 KB, patch)
2012-12-12 10:22 PST, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description Austin King [:ozten] 2012-12-10 16:13:52 PST
The stage instance of our Bugzilla install should use the stage instance of the Persona service.

So https://bugzilla-stage.mozilla.org/  should include

    https://login.anosrep.org/include.js

to verify assertions, the backend should use

    https://verifier.login.anosrep.org/verify

This will allow the BMO and Identity team to discover incompatibilities with the next release of Persona, before they hit production.
Comment 1 Byron Jones ‹:glob› 2012-12-10 17:09:50 PST
this request really applies to bugzilla-stage-tip (our development env), not bugzilla-stage, which is used for pre-production staging and must mirror production.
Comment 2 Austin King [:ozten] 2012-12-10 17:27:39 PST
(In reply to Byron Jones ‹:glob› from comment #1)

We'd like a copy of production code pointed to Persona stage code.

We'll be filing a bug with details, but we've just rolledback a production deployment, because production bugzilla didn't pass our verification test pass. (All other websites did pass this test). It would have been great to catch this during stage testing of our system.
Comment 3 Byron Jones ‹:glob› 2012-12-10 19:13:40 PST
(In reply to Austin King [:ozten] from comment #2)
> (In reply to Byron Jones ‹:glob› from comment #1)
> 
> We'd like a copy of production code pointed to Persona stage code.

bugzilla-stage-tip is running the same persona code we're running on production so that won't be an issue.
Comment 4 David Lawrence [:dkl] 2012-12-12 10:22:55 PST
Created attachment 691422 [details] [diff] [review]
Patch to allow host configuration for BrowserID extension (v1)
Comment 5 Reed Loden [:reed] (use needinfo?) 2012-12-12 10:27:26 PST
Comment on attachment 691422 [details] [diff] [review]
Patch to allow host configuration for BrowserID extension (v1)

It's not BrowserID anymore... Can you use this opportunity to rename everything from BrowserID to Persona, including the URLs?
Comment 6 Byron Jones ‹:glob› 2012-12-12 10:30:03 PST
(In reply to Reed Loden [:reed] from comment #5)
> It's not BrowserID anymore... Can you use this opportunity to rename
> everything from BrowserID to Persona, including the URLs?

file a new bug for that please.
Comment 7 Austin King [:ozten] 2012-12-12 10:33:59 PST
Not to bikeshed...

BrowserID is still the name of the protocol. Some low level libraries will remain browserid-crypto, for example.

Persona is the user facing name, so high level things like a pluggable authentication library should expose "Persona".
Comment 8 Reed Loden [:reed] (use needinfo?) 2012-12-12 10:41:04 PST
(In reply to Byron Jones ‹:glob› from comment #6)
> (In reply to Reed Loden [:reed] from comment #5)
> > It's not BrowserID anymore... Can you use this opportunity to rename
> > everything from BrowserID to Persona, including the URLs?
> 
> file a new bug for that please.

Bug 820936
Comment 9 Byron Jones ‹:glob› 2013-01-07 06:41:57 PST
Comment on attachment 691422 [details] [diff] [review]
Patch to allow host configuration for BrowserID extension (v1)

Review of attachment 691422 [details] [diff] [review]:
-----------------------------------------------------------------

r=glob

i think the two parameters should be the full url to the services, not just the domain prefix.
ie: https://browserid.org/verify and https://browserid.org/include.js
mostly because i think it's clearer, and more future-proof if the urls change (more likely to happen to the non-production systems).

if you agree, this can be changed on commit.

::: extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
@@ +1,2 @@
> +[% IF Param('user_info_class').split(',').contains('BrowserID') 
> +      && Param('browserid_includejs_server') %]

nit: trailing whitespace :)
Comment 10 David Lawrence [:dkl] 2013-01-07 13:06:16 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0
modified extensions/BrowserID/Extension.pm
added extensions/BrowserID/lib/Config.pm
modified extensions/BrowserID/lib/Login.pm
added extensions/BrowserID/template/en/default/admin
added extensions/BrowserID/template/en/default/admin/params
added extensions/BrowserID/template/en/default/admin/params/browserid.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
Committed revision 8430

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2 
modified extensions/BrowserID/Extension.pm
added extensions/BrowserID/lib/Config.pm                                       
modified extensions/BrowserID/lib/Login.pm
added extensions/BrowserID/template/en/default/admin
added extensions/BrowserID/template/en/default/admin/params
added extensions/BrowserID/template/en/default/admin/params/browserid.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
Committed revision 8479.

dkl
Comment 11 Byron Jones ‹:glob› 2013-01-10 22:24:39 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/extensions/browserid/trunk/
modified Extension.pm
added lib/Config.pm
modified lib/Login.pm
added template/en/default/admin
added template/en/default/admin/params
added template/en/default/admin/params/browserid.html.tmpl
modified template/en/default/hook/account/auth/login-additional_methods.html.tmpl
modified template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
modified template/en/default/hook/global/header-additional_header.html.tmpl
Committed revision 17.

Note You need to log in before you can comment on or make changes to this bug.